package com.pqs9900.pojo.DataInfo;

/**
 * @description: 终端状态详情
 * @author: denghuajun
 * @time: 2019-09-03 10:06:29
 **/

public class DevStateDetail {
    private Long devIndex;//终端Guid
    private String timeId;//时间
    private String gdName;//供电公司
    private String subName;//变电站
    private String devName;//终端名称
    private String ip;//ip地址
    private Float cpuOne;//CPU(%)
    private Float cpuTwo;//CPU(%)
    private Float ram;//内存(MB)
    private Float spaceMemory;//存储卡剩余空间(MB)

    public Long getDevIndex() {
        return devIndex;
    }

    public void setDevIndex(Long devIndex) {
        this.devIndex = devIndex;
    }

    public String getGdName() {
        return gdName;
    }

    public void setGdName(String gdName) {
        this.gdName = gdName;
    }

    public String getSubName() {
        return subName;
    }

    public void setSubName(String subName) {
        this.subName = subName;
    }

    public String getDevName() {
        return devName;
    }

    public void setDevName(String devName) {
        this.devName = devName;
    }

    public String getIp() {
        return ip;
    }

    public void setIp(String ip) {
        this.ip = ip;
    }

    public Float getCpuOne() {
        return cpuOne;
    }

    public void setCpuOne(Float cpuOne) {
        this.cpuOne = cpuOne;
    }

    public Float getCpuTwo() {
        return cpuTwo;
    }

    public void setCpuTwo(Float cpuTwo) {
        this.cpuTwo = cpuTwo;
    }

    public Float getRam() {
        return ram;
    }

    public void setRam(Float ram) {
        this.ram = ram;
    }

    public Float getSpaceMemory() {
        return spaceMemory;
    }

    public void setSpaceMemory(Float spaceMemory) {
        this.spaceMemory = spaceMemory;
    }

    public String getTimeId() {
        return timeId;
    }

    public void setTimeId(String timeId) {
        this.timeId = timeId;
    }

    @Override
    public String toString() {
        return "DevStateDetail{" +
                "devIndex=" + devIndex +
                ", timeId='" + timeId + '\'' +
                ", gdName='" + gdName + '\'' +
                ", subName='" + subName + '\'' +
                ", devName='" + devName + '\'' +
                ", ip='" + ip + '\'' +
                ", cpuOne=" + cpuOne +
                ", cpuTwo=" + cpuTwo +
                ", ram=" + ram +
                ", spaceMemory=" + spaceMemory +
                '}';
    }
}